var cells=
[
["viventi","GLI ESSERI VIVENTI","border:1px dashed gray;background:#e6e6e6;grid-column:6/span 2;grid-row:1;","fond","audio/viventi.mp3"],
["compiono","COMPIONO UN <b>CICLO VITALE</b>","border:1px dashed gray;background:#ffffb5;grid-column:4/span 2;grid-row:1;","fond","audio/compiono.mp3"],
["nascono","NASCONO","border:1px dashed gray;background:#ffffc9;grid-column:2/span 2;grid-row:1;","fond","audio/nascono.mp3"],
["crescono","CRESCONO","border:1px dashed gray;background:#ffffc9;grid-column:2/span 2;grid-row:2;","fond","audio/crescono.mp3"],
["muoiono","MUOIONO","border:1px dashed gray;background:#ffffc9;grid-column:2/span 2;grid-row:3;","fond","audio/muoiono.mp3"],
["durante","DURANTE IL QUALE SVOLGONO","border:1px dashed gray;background:#e6e6e6;grid-column:6/span 2;grid-row:2;","fond","audio/durante.mp3"],
["funzioni","LE FUNZIONI VITALI","border:1px dashed gray;background:#e6e6e6;grid-column:6/span 2;grid-row:3;","fond","audio/funzioni.mp3"],
["nutrizione","NUTRIZIONE <img src='imgs/finestra.png' />","border:1px dashed gray;background:#ffc9ff;grid-column:2/span 2;grid-row:4;","nutrizione_div","audio/nutrizione.mp3"],
["assumono","ASSUMONO SOSTANZE PER CRESCERE E PRODURRE ENERGIA","border:1px dashed gray;background:#ffdcff;grid-column:1/span 4;grid-row:5;","fond","audio/assumono.mp3"],
["autotrofi","<b>AUTOTROFI</b> -> PROVVEDONO DA SOLI (VEGETALI)<br><b>ETEROTROFI</b> -> DA ALTRI ESSERI (ANIMALI)","border:1px dashed gray;background:#ffdcff;grid-column:1/span 4;grid-row:6;text-align:left;padding-left:20px","fond","audio/autotrofi.mp3"],
["riproduzione","RIPRODUZIONE <img src='imgs/finestra.png' />","border:1px dashed gray;background:#c9ffff;grid-column:6/span 2;grid-row:4;","riproduzione_div","audio/riproduzione.mp3"],
["permette","PERMETTE LA CONTINUITÀ DELLA VITA","border:1px dashed gray;background:#dcffff;grid-column:5/span 4;grid-row:5;","fond","audio/permette.mp3"],
["sessuata","<b>SESSUATA</b> -> DUE GENTORI (MASCHIO-FEMMINA)<br><b>ASESSUATA</b> -> UN SOLO GENITORE","border:1px dashed gray;background:#dcffff;grid-column:5/span 4;grid-row:6;text-align:left;padding-left:20px","fond","audio/sessuata.mp3"],
["respirazione","RESPIRAZIONE <img src='imgs/finestra.png' />","border:1px dashed gray;background:#c9ffc9;grid-column:10/span 2;grid-row:1;","respirazione_div","audio/respirazione.mp3"],
["introducono","INTRODUCONO OSSIGENO AL LORO INTERNO","border:1px dashed gray;background:#dcffdc;grid-column:9/span 4;grid-row:2;","fond","audio/introducono.mp3"],
["reazione","REAZIONE AGLI STIMOLI <img src='imgs/finestra.png' />","border:1px dashed gray;background:#c9c9ff;grid-column:10/span 2;grid-row:3;","reazione_div","audio/reazione.mp3"],
["risposte","RISPOSTE AI CAMBIAMENTI DELL' AMBIENTE (MIGRARE, LETARGO)","border:1px dashed gray;background:#dcdcff;grid-column:9/span 4;grid-row:4;","fond","audio/risposte.mp3"],
["movimento","MOVIMENTO <img src='imgs/finestra.png' />","border:1px dashed gray;background:#ffc9c9;grid-column:10/span 2;grid-row:5;","movimento_div","audio/movimento.mp3"],
["serve","SERVE PER CERCARE CIBO E FUGGIRE DAI PERICOLI","border:1px dashed gray;background:#ffdcdc;grid-column:9/span 4;grid-row:6;","fond","audio/serve.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("viventi").innerHTML=cells[0][1];
	document.getElementById("viventi").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}